guess.d(1m)

NAME
guess.d - guessing game. Uses DTrace.

SYNOPSIS
guess.d

DESCRIPTION
This is written to demonstrate this language versus the same program written in other languages. See http://www.brendangregg.com/guessinggame.html It exists in the DTraceToolkit as a curiosity, rather than something actually useful. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

OS
Solaris

STABILITY
stable - needs the syscall provider.

EXAMPLES

Play the game,
    # guess.d

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
guess.d will only exit when you win the game.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
dtrace(1M)